import request from "@/utils/request";

export function getList(data) {
  return request({
    url: '/pay/customer/list',
    method: 'post',
    data
  })
}
export function customerAll() {
  return request({
    url: '/pay/customer/all',
    method: 'get',
  })
}
export function updateCustomer(data) {
  return request({
    url: `/pay/customer/${data.id}`,
    method: 'put',
    data
  })
}
export function addCustomer(data) {
  return request({
    url: '/pay/customer',
    method: 'post',
    data
  })
}

export function findById(id) {
  return request({
    url: '/pay/customer/'+id,
    method: 'get'
  })
}
export function deleteById(id) {
  return request({
    url: '/pay/customer/'+id,
    method: 'delete'
  })
}
export function disable(id) {
  return request({
    url: '/pay/customer/disable/'+id,
    method: 'get'
  })
}
export function enable(id) {
  return request({
    url: '/pay/customer/enable/'+id,
    method: 'get'
  })
}
